# Class: XYZ

## ol.tilegrid.XYZ

Set the grid pattern for sources accessing XYZ tiled-image servers.

#### new ol.tilegrid.XYZ(options) experimental

src/ol/tilegrid/xyztilegrid.js, line 23

  Name | Type | Description
  --- | --- | ---
  `options` | XYZ options.
  Name | Type | Description
  --- | --- | ---
  `maxZoom` | number | Maximum zoom.

### Extends

- ol.tilegrid.TileGrid

### Methods

#### getMinZoom(){number} inherited experimental

src/ol/tilegrid/tilegrid.js, line 145

  ##### Returns:

  Min zoom.

#### getOrigin(z){ol.Coordinate} inherited experimental

src/ol/tilegrid/tilegrid.js, line 155

  Name | Type | Description
  --- | --- | ---
  `z` | number | Z.

  ##### Returns:

  Origin.

#### getResolution(z){number} inherited experimental

src/ol/tilegrid/tilegrid.js, line 171

  Name | Type | Description
  --- | --- | ---
  `z` | number | Z.

  ##### Returns:

  Resolution.

#### getTileSize(z){number} inherited experimental

src/ol/tilegrid/tilegrid.js, line 369

  Name | Type | Description
  --- | --- | ---
  `z` | number | Z.

  ##### Returns:

  Tile size.